# cv::Octree Class Reference

`#include <contrib.hpp>`

List of all members.

## Classes

struct | Node

## Public Member Functions

virtual void | buildTree (const vector< Point3f > &points, int maxLevels=10, int minPoints=20)
const vector< Node > & | getNodes () const
virtual void | getPointsWithinSphere (const Point3f &center, float radius, vector< Point3f > &points) const
| Octree (const vector< Point3f > &points, int maxLevels=10, int minPoints=20)
| Octree ()
virtual | ~Octree ()

## Constructor & Destructor Documentation

cv::Octree::Octree | ( | ) |

cv::Octree::Octree | ( | const vector< Point3f > & | points,
|  | int | maxLevels = `10`,
|  | int | minPoints = `20`
| ) |  |

virtual cv::Octree::~Octree | ( | ) | `[virtual]`

## Member Function Documentation

virtual void cv::Octree::buildTree | ( | const vector< Point3f > & | points,
|  | int | maxLevels = `10`,
|  | int | minPoints = `20`
| ) |  | `[virtual]`

const vector<Node>& cv::Octree::getNodes | ( | ) | const`[inline]`

virtual void cv::Octree::getPointsWithinSphere | ( | const Point3f & | center,
|  | float | radius,
|  | vector< Point3f > & | points
| ) |  | const`[virtual]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines